{height}: Get block hash by height

API: mempool.space:mempool
Endpoint: /block-height/{height}
Response format: text/plain
Auth: none
Method: GET
Last Status: 200
Latency: 151ms

Description

Returns the block hash for a given block height. Use this to convert a numeric height to the hexadecimal hash needed for other block-related endpoints.

From spec: Returns the block hash for a given block height.

Usage Tips

- Height must be a valid block number (0 to current tip) - Returns a 64-character hex string - Returns 404 if height exceeds current tip

Parameters (1)

height (integer, path, required)

Block height

Constraints: {'minimum': 0}

Examples (1)

Get block hash at height 943000 probe-gate

Demonstrates converting a numeric block height to its corresponding block hash

curl 'https://mempool.space/api/block-height/943000'
import requests

resp = requests.get("https://mempool.space/api/block-height/943000")
data = resp.json()
import zingu_apis

api = zingu_apis.api("mempool")
result = api.fetch("block-height/{height}")

for item in result:
    print(item)
const resp = await fetch("https://mempool.space/api/block-height/943000");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:52:40.772877 200 151ms
2026-04-16 00:56:00.465248 200 141ms
2026-04-15 01:05:18.495785 200 122ms
2026-04-14 02:59:00.226968 200 139ms
2026-04-12 16:10:39.342379 200 155ms
2026-04-10 00:22:33.675070 200 83ms
2026-04-09 01:49:24.882042 200 180ms
2026-04-08 06:55:51.915442 200 116ms
2026-04-07 00:12:20.362774 200 154ms
2026-04-06 05:57:28.471691 200 133ms
2026-04-05 03:08:52.517519 200 390ms